Bug 56129 - Package downloads are failing
Summary: Package downloads are failing
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site   
(Show other bugs)
Version: RHN Devel
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Chip Turner
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-13 03:47 UTC by Jay Turner
Modified: 2015-01-07 23:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-29 01:21:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Turner 2001-11-13 03:47:06 UTC
Description of Problem:
Downloading of RPM and SRPM from the package_details.pxt page is creating
corrupt files on both beta and webdev.

Version-Release number of selected component (if applicable):


How Reproducible:
Always

Steps to Reproduce:
1. Log into https://rhn.webdev.redhat.com
2. Pull up /network/package/package_details.pxt for a particular package
3. Click the Download RPM link

Actual Results:
The resulting file will be corrupt and will fail 'rpm -qpl *'

Expected Results:


Additional Information:

Comment 1 Chip Turner 2001-11-13 11:46:41 UTC
I was able to download apache from the 6.2 channel just fine; which RPMs
specificly were misbehaving?

From https://rhn.webdev.redhat.com/network/package/package_details.pxt?pid=1394:

[cturner@rogue cturner]$ rpm -K apache-1.3.14-2.6.2.i386.rpm 
apache-1.3.14-2.6.2.i386.rpm: md5 gpg OK


Comment 2 Jay Turner 2001-11-13 13:57:06 UTC
sendmail-8.11.6-1.7.1 from RHSA-2001:106-06 (both binary and source package)
But it worked for the openldap packages, so guess that we just have something
odd happening with the sendmail packages.

kernel-2.2.19-7.0.8 also failed (binary and source package)

Now, when I try to download a file from beta.rhns, I'm getting a 404 error. 
This appears to be happening for all files, so I don't think that it is just the
package missing.

Comment 3 Chip Turner 2001-11-29 04:28:21 UTC
downloading doesn't really work well in old environments because we don't have a
test box in webdev or webqa for downloading -- all downloads happen off of my
workstation.  since those boxes (webdev especially) tend to not have accurate
data, sometimes we list a package that doesn't exist.

I think downloading is working; can you find any samples on rhn.redhat.com that
aren't?  Not much we can do right now for it, except just test on live.


Note You need to log in before you can comment on or make changes to this bug.